NVIDIAGameWorks/kaolin 软件分析报告

基础信息

项目名称:NVIDIAGameWorks/kaolin

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758527579478003712/1758527579536723968

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
mocha ReDoS 漏洞 ReDoS MPS-2022-54598 高危
Python 安全漏洞 ReDoS MPS-2022-57238 CVE-2022-40897 中危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
mocha 9.2.2 直接依赖 建议修复
setuptools 58.0.0 65.5.1 间接依赖 可选修复
semver 7.3.5 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 167
BSD-3-Clause 10
Apache-2.0 10
ISC 26
HPND 1
BSD-2-Clause 2
Python-2.0 1
0BSD 1
Unlicense 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
cython 0.29.20 间接依赖 pip
through 2.3.8 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
ci-info 3.3.0 间接依赖 npm
pyzmq 25 间接依赖 pip
caseless 0.12.0 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
jupyter_client 8 间接依赖 pip
chalk 4.1.0 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
log-update 4.0.0 间接依赖 npm
diff 5.0.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
@types/sinonjs__fake-timers 8.1.1 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
buffer-crc32 0.2.13 间接依赖 npm
Pillow 8.0.0 间接依赖 pip
json-schema 0.4.0 间接依赖 npm
jsprim 2.0.2 间接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
aws4 1.11.0 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
pretty-bytes 5.6.0 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
anymatch 3.1.2 间接依赖 npm
listr2 3.14.0 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
yargs-parser 20.2.4 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
@types/yauzl 2.9.2 间接依赖 npm
emoji-regex 8.0.0 直接依赖 npm
extract-zip 2.0.1 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
fsevents 2.3.2 间接依赖 npm
arch 2.2.0 间接依赖 npm
cli-table3 0.6.1 间接依赖 npm
debug 4.3.3 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
executable 4.1.1 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
ansi-regex 5.0.1 直接依赖 npm
base64-js 1.5.1 间接依赖 npm
qs 6.5.3 间接依赖 npm
mocha 9.2.2 直接依赖 npm
rimraf 3.0.2 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
uuid 8.3.2 间接依赖 npm
@cypress/request 2.88.10 间接依赖 npm
commander 5.1.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
rfdc 1.3.0 间接依赖 npm
flake8-pyi 19.3.0 间接依赖 pip
is-installed-globally 0.4.0 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
check-more-types 2.24.0 间接依赖 npm
decamelize 4.0.0 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
sphinx_rtd_theme 1.0.0 间接依赖 pip
http-signature 1.3.6 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
pump 3.0.0 间接依赖 npm
isstream 0.1.2 间接依赖 npm
@types/node 14.18.12 间接依赖 npm
pytest 7.3.0 间接依赖 pip
concat-map 0.0.1 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
mustard-ui 1.0.4 直接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
untildify 4.0.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
is-stream 2.0.0 间接依赖 npm
flake8-mypy 17.8.0 间接依赖 pip
p-map 4.0.0 间接依赖 npm
type-fest 0.21.3 间接依赖 npm
global-dirs 3.0.0 间接依赖 npm
at-least-node 1.0.0 间接依赖 npm
camelcase 6.2.0 间接依赖 npm
pend 1.2.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
KERNEL32.dll 间接依赖
glob 7.2.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
request-progress 3.0.0 间接依赖 npm
psl 1.8.0 间接依赖 npm
nbmake 1.4.1 间接依赖 pip
cliui 7.0.4 间接依赖 npm
buffer 5.7.1 间接依赖 npm
human-signals 1.1.1 间接依赖 npm
form-data 2.3.3 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
verror 1.10.0 间接依赖 npm
y18n 5.0.5 间接依赖 npm
getpass 0.1.7 间接依赖 npm
path-key 3.1.1 间接依赖 npm
astral-regex 2.0.0 间接依赖 npm
universalify 2.0.0 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
slice-ansi 3.0.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
natives 1.1.6 间接依赖 npm
yauzl 2.10.0 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
common-tags 1.8.0 间接依赖 npm
yargs 16.2.0 间接依赖 npm
colorette 2.0.16 间接依赖 npm
escalade 3.1.1 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
cli-truncate 2.1.0 间接依赖 npm
once 1.4.0 间接依赖 npm
lazy-ass 1.6.0 间接依赖 npm
is-plain-obj 2.1.0 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
setuptools 58.0.0 间接依赖 pip
picomatch 2.3.1 间接依赖 npm
async 3.2.4 间接依赖 npm
find-up 5.0.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
colors 1.4.0 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
comm 0.1.3 间接依赖 pip
assert-plus 1.0.0 间接依赖 npm
flat 5.0.2 间接依赖 npm
argparse 2.0.1 间接依赖 npm
ospath 1.2.2 间接依赖 npm
cachedir 2.3.0 间接依赖 npm
@ungap/promise-all-settled 1.1.2 间接依赖 npm
yallist 4.0.0 间接依赖 npm
dayjs 1.10.4 间接依赖 npm
jquery 3.5.1 直接依赖 npm
fill-range 7.0.1 间接依赖 npm
figures 3.2.0 间接依赖 npm
minimist 1.2.8 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
graceful-fs 4.2.6 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
tslib 2.3.1 间接依赖 npm
braces 3.0.2 间接依赖 npm
flake8-comprehensions 3.2.2 间接依赖 pip
he 1.2.0 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
asn1 0.2.6 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
proxy-from-env 1.0.0 间接依赖 npm
blob-util 2.0.2 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
scipy 1.10.1 间接依赖 pip
forever-agent 0.6.1 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
which 2.0.2 间接依赖 npm
punycode 2.1.1 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
fd-slicer 1.1.0 间接依赖 npm
bluebird 3.7.2 间接依赖 npm
nanoid 3.3.1 间接依赖 npm
tmp 0.2.1 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
throttleit 1.0.0 间接依赖 npm
uglify-js 3.15.3 直接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
cypress 9.5.2 直接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
@types/sizzle 2.3.2 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
ini 2.0.0 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
flake8-bugbear 20.1.4 间接依赖 pip
is-extglob 2.1.1 间接依赖 npm
semver 7.3.5 间接依赖 npm
getos 3.2.1 间接依赖 npm
eventemitter2 6.4.3 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
@cypress/xvfb 1.2.4 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
pytest-cov 3.0.0 间接依赖 pip
workerpool 6.2.0 间接依赖 npm
tqdm 4.51.0 间接依赖 pip
inherits 2.0.4 间接依赖 npm
get-stream 5.2.0 间接依赖 npm
three 0.137.0 直接依赖 npm
flake8 3.7.9 间接依赖 pip
rxjs 7.5.5 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
isexe 2.0.0 间接依赖 npm
execa 4.1.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
onetime 5.1.2 间接依赖 npm
ms 2.1.3 间接依赖 npm
lodash.once 4.1.1 间接依赖 npm
browser-stdout 1.3.1 间接依赖 npm
yargs-unparser 2.0.0 间接依赖 npm
growl 1.10.5 间接依赖 npm
fs-extra 9.1.0 间接依赖 npm
sshpk 1.17.0 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
(0)
上一篇 2024年2月16日
下一篇 2024年2月17日

相关推荐

  • KieranLafferty/KLCircleViewController 软件分析报告

    基础信息 项目名称:KieranLafferty/KLCircleViewController 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719460094344478720/1719460094516445…

    软件分析 2023年11月1日
    0
  • Christian-Hansen/simple-oauth1 软件分析报告

    基础信息 项目名称:Christian-Hansen/simple-oauth1 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721087109376315392/1722351542241304576 此报告…

    软件分析 2023年11月9日
    0
  • jipegit/OSXAuditor 软件分析报告

    基础信息 项目名称:jipegit/OSXAuditor 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719156900503355392/1719156900775985152 此报告由Murphysec提供…

    软件分析 2023年10月31日
    0
  • SeaQL/sea-orm 软件分析报告

    基础信息 项目名称:SeaQL/sea-orm 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1758269508331646976/1758269508369395712 此报告由Murphysec提供 漏洞列表…

    软件分析 2024年2月16日
    0
  • kiritan-pop/mastodon_others 软件分析报告

    基础信息 项目名称:kiritan-pop/mastodon_others 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721340587763335168/1724469699164459008 此报告由Mu…

    软件分析 2023年11月15日
    0